package ru.rsdn.defensive;

import org.junit.Test;

/**
 * Тестирование хранителя объекта, который предполагает возможность
 * поступления ошибочных данных и локализует ошибку
 */
public class ObjectHolderTest {
	@Test(expected = NullPointerException.class)
	public void test() {
		final Object obj = null;
		final ObjectHolder holder = new ObjectHolder(obj);
		System.out.println(holder.toString());
	}
}
